# Delete self-serve task | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Delete self-serve task

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

DELETE /department/selfserve/tasks

## Operation

Operation ID: `deleteSelfserveTask`

Delete a self-serve task by ID.

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | yes | integer | Task ID

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Successfully deleted task | application/json
400 |  |
404 |  |

Schema for response `200` (`application/json`):

{ "example": "Task deleted", "type": "string" }
17 March 2026